/*
    This file is part of telegram-client.

    Telegram-client is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    Telegram-client is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this telegram-client.  If not, see <http://www.gnu.org/licenses/>.

    Copyright Roberto Mier & Tiago Herrmann 2014
*/
#include <QCoreApplication>
#include <QDebug>
#include "telegram.h"
#include "eventstester.h"

//## Test code for libqtelegram-split branch
qint32 main(qint32 argc, char *argv[])
{
    QCoreApplication a(argc, argv);

    /*
    Testing Redirects (see https://core.telegram.org/api/datacenter)

    There are reserved phone number prefixes to test the correctness of
    the application’s handling of redirects between DCs. If you wish to
    emulate an application of a user associated with DC number X, it is
    sufficient to specify the phone number as 799966XYYYY, where YYYY are
    random numbers, when registering the user. A user like this would
    always get XXXXX as the confirmation code (the DC number, repeated five times).
    Do not store any important or private information in such test users’ messages;
    anyone can make use of the simplified authorization mechanism.
     */
    //test msisdn 799966XYYYY, where X is the DC number and where YYYY are random numbers,
    //verification code will be XXXXX

    //# If test mode
    //QString msisdn = "79996611111";

    //# If production mode
    qDebug() << "enter MSISDN to sign in";
    QTextStream cin(stdin);
    QString msisdn = cin.readLine();

    QString configPath = "~/.libqtelegram";
    QString publicKeyFile = "tg.pub";

    Telegram telegram(msisdn, configPath, publicKeyFile);

    EventsTester eventsTester(telegram);


    return a.exec();

}

