/*
    This file is part of libqtelegram library.

    Telegram-client is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    Telegram-client is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this telegram-client.  If not, see <http://www.gnu.org/licenses/>.

    Copyright Roberto Mier & Tiago Herrmann & Vitaly Valtman 2014
*/
#ifndef CONSTANTS_H
#define CONSTANTS_H

// macro to assert conditions as in debug as in release mode
#define ASSERT(cond) ((!(cond)) ? qt_assert(#cond,__FILE__,__LINE__) : qt_noop())

#define PACKET_BUFFER_SIZE (16384 * 100 + 16)
#define ENCRYPT_BUFFER_INTS 16384
#define DECRYPT_BUFFER_INTS 16384

#define LIBQTELEGRAM_SERVER "173.240.5.1"
#define LIBQTELEGRAM_SERVER_TEST "173.240.5.253"
// These are the the original
#define LIBQTELEGRAM_APP_HASH "c68fd5e560aa84dd4b6ad6f489164790"
#define LIBQTELEGRAM_APP_ID 12433
// These are the telegram-cli credentials
//#define LIBQTELEGRAM_APP_HASH "36722c72256a24c1225de00eb6a1ca74"
//#define LIBQTELEGRAM_APP_ID 2899
// These are my second phone ones
//#define LIBQTELEGRAM_APP_HASH "4b7f87d44de5e0a22248597939c848ae"
//#define LIBQTELEGRAM_APP_ID 11986

#define LIBQTELEGRAM_BUILD "001"
#define LIBQTELEGRAM_VERSION "1.0.0-SNAPSHOT"

#define MAX_RESPONSE_SIZE (1L << 24)

#define MAX_MESSAGE_INTS 1048576

#define MAX_PENDING_ACKS 16

#define MAX_PACKED_SIZE (1 << 24)

#define ACK_TIMEOUT 6000 //1 sec in original
#define QUERY_TIMEOUT 60000 // 60 secs

#define MAX_QUERY_RESENDS 10

#define LANG_CODE "en"

#define BLOCK (64 * 1024) //divide bytes into parts of 64 kbytes, for instance

#endif // CONSTANTS_H
