#ifndef DCAUTH_H
#define DCAUTH_H

#include "dc.h"
#include "connection.h"

class DCAuth : public Connection
{
    Q_OBJECT
public:
    explicit DCAuth(DC *dc, QObject *parent = 0);
    ~DCAuth();

    void createAuthKey();
    DC *dc();

Q_SIGNALS:
    void dcReady(DC *dc);

private:
    struct UnencryptedMsgHeader{
        qint64 authKeyId;
        qint64 outMsgId;
        qint32 msgLength;
    };

    char m_nonce[16];
    char m_newNonce[32];
    char m_serverNonce[16];

    DC *m_dc;

    // dc auth methodsDCAuth
    void sendReqPQPacket();
    void processResPQAnswer (const InboundPkt &inboundPkt);
    void processDHAnswer(InboundPkt &inboundPkt);
    void processAuthComplete(InboundPkt &inboundPkt);
    // generic send and receive method
    void rpcSendPacket(OutboundPkt &outboundPkt);

    void processRpcAnswer(qint32 op, qint32 len);
    void processConnected();
};

#endif // DCAUTH_H
