/*
    This file is part of libqtelegram library.

    Telegram-client is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    Telegram-client is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this telegram-client.  If not, see <http://www.gnu.org/licenses/>.

    Copyright Roberto Mier & Tiago Herrmann & Vitaly Valtman 2014
*/
#include "eventtimer.h"
#include <QDebug> //remove when not needed

EventTimer::EventTimer(qint64 msgId, qint32 timeout, QObject *parent) :
    QTimer(parent), m_msgId(msgId) {

    this->setSingleShot(true);
    this->setInterval(timeout);
    connect(this, SIGNAL(timeout()), this, SLOT(onTimeout()));
}

void EventTimer::onTimeout() {
    //TODO TRACE
    qDebug() << "TIMER launched timeout signal";

    Q_EMIT timerTimeout(m_msgId);
}
