/*
    This file is part of libqtelegram library.

    Telegram-client is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    Telegram-client is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this telegram-client.  If not, see <http://www.gnu.org/licenses/>.

    Copyright Roberto Mier & Tiago Herrmann & Vitaly Valtman 2014
*/
#ifndef QUERY_H
#define QUERY_H

#include "utils.h"
#include "inboundpkt.h"
#include "querymethods.h"
#include "dc.h"
#include <QTimerEvent>

class Query : public QObject
{
    Q_OBJECT
public:
    explicit Query(QObject *parent = 0);
    ~Query();

    qint64 msgId() { return m_msgId; }
    void setMsgId(qint64 msgId) { m_msgId = msgId; }
    qint32 dataLength() { return m_dataLength; }
    qint32 seqNo() { return m_seqNo; }
    void setSeqNo(qint32 seqNo) { m_seqNo = seqNo; }
    QueryMethods *methods() { return m_methods; }
    void setMethods(QueryMethods *methods) { m_methods = methods; }
    bool acked() { return m_acked; }
    void setAcked(bool acked) { m_acked = acked; }
    void *extra() { return m_extra; }
    void setExtra(void *extra) { m_extra = extra; }
    void *data();
    void setData(void *data, qint32 dataLength);
    qint32 decreaseResends();

Q_SIGNALS:
    void timeout(Query *q);

protected:
    void timerEvent(QTimerEvent *event);

private:
    qint64 m_msgId;
    qint32 m_dataLength;
    qint32 m_seqNo;
    void *m_data;
    QueryMethods *m_methods;
    bool m_acked;
    void *m_extra;
    qint32 m_resends;
};

#endif // QUERY_H
