#ifndef SESSIONMANAGER_H
#define SESSIONMANAGER_H

#include <QObject>
#include <QMap>
#include "session.h"
#include "dc.h"

class SessionManager : public QObject
{
    Q_OBJECT
public:
    explicit SessionManager(Session *session, QObject *parent = 0);
    ~SessionManager();

    // session base methods
    void changeMainSessionToDc(DC *dc);
    Session *createSession(DC *dc);
    Session *mainSession();
    void setMainSession(Session *s);

Q_SIGNALS:
    void mainSessionDcChanged(DC *dc);

protected:
    Session *m_mainSession;
    // list to hold all created sessions. If any session object is still created when destroying api, delete it
    QMap<qint64, Session *> m_sessions;

    virtual void connectResponsesSignals(Session *session) = 0;
    virtual void connectUpdatesSignals(Session *session) = 0;
};

#endif // SESSIONMANAGER_H
