/*
    This file is part of libqtelegram library.

    Telegram-client is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    Telegram-client is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this telegram-client.  If not, see <http://www.gnu.org/licenses/>.

    Copyright Roberto Mier & Tiago Herrmann & Vitaly Valtman 2014
*/
#ifndef CONTACTSFOREIGNLINK_H
#define CONTACTSFOREIGNLINK_H
class ContactsForeignLink
{
public:

    enum ContactsForeignLinkType {
       typeContactsForeignLinkMutual = 0x1bea8ce1,
       typeContactsForeignLinkRequested = 0xa7801f47,
       typeContactsForeignLinkUnknown = 0x133421f8
    };

    ContactsForeignLink(ContactsForeignLinkType classType) :
        m_hasPhone(false),
        m_classType(classType) {}

    void setHasPhone(bool hasPhone) {
        m_hasPhone = hasPhone;
    }
    bool hasPhone() const {
        return m_hasPhone;
    }
    void setClassType(ContactsForeignLinkType classType) {
        m_classType = classType;
    }
    ContactsForeignLinkType classType() const {
        return m_classType;
    }

private:
    bool m_hasPhone;
    ContactsForeignLinkType m_classType;
};
#endif // CONTACTSFOREIGNLINK_H
