/*
    This file is part of libqtelegram library.

    Telegram-client is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    Telegram-client is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this telegram-client.  If not, see <http://www.gnu.org/licenses/>.

    Copyright Roberto Mier & Tiago Herrmann & Vitaly Valtman 2014
*/
#ifndef CONTACTSTATUS_H
#define CONTACTSTATUS_H

#include <QtGlobal>

class ContactStatus
{
public:

    enum ContactStatusType {
       typeContactStatus = 0xaa77b873
    };

    ContactStatus() :
        m_userId(0),
        m_expires(0),
        m_classType(typeContactStatus) {}

    void setUserId(qint32 userId) {
        m_userId = userId;
    }
    qint32 userId() const {
        return m_userId;
    }
    void setExpires(qint32 expires) {
        m_expires = expires;
    }
    qint32 expires() const {
        return m_expires;
    }
    void setClassType(ContactStatusType classType) {
        m_classType = classType;
    }
    ContactStatusType classType() const {
        return m_classType;
    }

private:
    qint32 m_userId;
    qint32 m_expires;
    ContactStatusType m_classType;
};
#endif // CONTACTSTATUS_H
