#ifndef DECRYPTEDMESSAGEACTION_H
#define DECRYPTEDMESSAGEACTION_H

#include <QList>

class DecryptedMessageAction
{
public:

    enum DecryptedMessageActionType {
       typeDecryptedMessageActionNotifyLayer = 0xf3048883,
       typeDecryptedMessageActionSetMessageTTL = 0xa1733aec,
       typeDecryptedMessageActionDeleteMessages = 0x65614304,
       typeDecryptedMessageActionReadMessages = 0xc4f40be,
       typeDecryptedMessageActionScreenshotMessages = 0x8ac1f475,
       typeDecryptedMessageActionFlushHistory = 0x6719e45c
    };

    DecryptedMessageAction(DecryptedMessageActionType classType) :
        m_layer(0),
        m_ttlSeconds(0),
        m_classType(classType) {}

    void setLayer(qint32 layer) {
        m_layer = layer;
    }
    qint32 layer() const {
        return m_layer;
    }
    void setTtlSeconds(qint32 ttlSeconds) {
        m_ttlSeconds = ttlSeconds;
    }
    qint32 ttlSeconds() const {
        return m_ttlSeconds;
    }
    void setRandomIds(const QList<qint64> & randomIds) {
        m_randomIds = randomIds;
    }
    QList<qint64> randomIds() const {
        return m_randomIds;
    }
    void setClassType(DecryptedMessageActionType classType) {
        m_classType = classType;
    }
    DecryptedMessageActionType classType() const {
        return m_classType;
    }

private:
    qint32 m_layer;
    QList<qint64> m_randomIds;
    qint32 m_ttlSeconds;
    DecryptedMessageActionType m_classType;
};
#endif // DECRYPTEDMESSAGEACTION_H
