#ifndef ENCRYPTEDCHAT_H
#define ENCRYPTEDCHAT_H

#include <QByteArray>

class EncryptedChat
{
public:

    enum EncryptedChatType {
       typeEncryptedChatWaiting = 0x3bf703dc,
       typeEncryptedChatRequested = 0xc878527e,
       typeEncryptedChatEmpty = 0xab7ec0a0,
       typeEncryptedChatDiscarded = 0x13d6dd27,
       typeEncryptedChat = 0xfa56ce36
    };

    EncryptedChat(EncryptedChatType classType) :
        m_id(0),
        m_gA(""),
        m_keyFingerprint(0),
        m_date(0),
        m_accessHash(0),
        m_adminId(0),
        m_gAOrB(""),
        m_participantId(0),
        m_classType(classType) {}

    void setId(qint32 id) {
        m_id = id;
    }
    qint32 id() const {
        return m_id;
    }
    void setAccessHash(qint64 accessHash) {
        m_accessHash = accessHash;
    }
    qint64 accessHash() const {
        return m_accessHash;
    }
    void setDate(qint32 date) {
        m_date = date;
    }
    qint32 date() const {
        return m_date;
    }
    void setAdminId(qint32 adminId) {
        m_adminId = adminId;
    }
    qint32 adminId() const {
        return m_adminId;
    }
    void setParticipantId(qint32 participantId) {
        m_participantId = participantId;
    }
    qint32 participantId() const {
        return m_participantId;
    }
    void setGA(const QByteArray & gA) {
        m_gA = gA;
    }
    QByteArray gA() const {
        return m_gA;
    }
    void setGAOrB(const QByteArray & gAOrB) {
        m_gAOrB = gAOrB;
    }
    QByteArray gAOrB() const {
        return m_gAOrB;
    }
    void setKeyFingerprint(qint64 keyFingerprint) {
        m_keyFingerprint = keyFingerprint;
    }
    qint64 keyFingerprint() const {
        return m_keyFingerprint;
    }
    void setClassType(EncryptedChatType classType) {
        m_classType = classType;
    }
    EncryptedChatType classType() const {
        return m_classType;
    }

private:
    qint32 m_id;
    QByteArray m_gA;
    qint64 m_keyFingerprint;
    qint32 m_date;
    qint64 m_accessHash;
    qint32 m_adminId;
    QByteArray m_gAOrB;
    qint32 m_participantId;
    EncryptedChatType m_classType;
};
#endif // ENCRYPTEDCHAT_H
