#ifndef ENCRYPTEDFILE_H
#define ENCRYPTEDFILE_H

#include <QtGlobal>

class EncryptedFile
{
public:

    enum EncryptedFileType {
       typeEncryptedFileEmpty = 0xc21f497e,
       typeEncryptedFile = 0x4a70994c
    };

    EncryptedFile(EncryptedFileType classType) :
        m_dcId(0),
        m_id(0),
        m_keyFingerprint(0),
        m_size(0),
        m_accessHash(0),
        m_classType(classType) {}

    void setId(qint64 id) {
        m_id = id;
    }
    qint64 id() const {
        return m_id;
    }
    void setAccessHash(qint64 accessHash) {
        m_accessHash = accessHash;
    }
    qint64 accessHash() const {
        return m_accessHash;
    }
    void setSize(qint32 size) {
        m_size = size;
    }
    qint32 size() const {
        return m_size;
    }
    void setDcId(qint32 dcId) {
        m_dcId = dcId;
    }
    qint32 dcId() const {
        return m_dcId;
    }
    void setKeyFingerprint(qint32 keyFingerprint) {
        m_keyFingerprint = keyFingerprint;
    }
    qint32 keyFingerprint() const {
        return m_keyFingerprint;
    }
    void setClassType(EncryptedFileType classType) {
        m_classType = classType;
    }
    EncryptedFileType classType() const {
        return m_classType;
    }

private:
    qint32 m_dcId;
    qint64 m_id;
    qint32 m_keyFingerprint;
    qint32 m_size;
    qint64 m_accessHash;
    EncryptedFileType m_classType;
};
#endif // ENCRYPTEDFILE_H
