#ifndef ENCRYPTEDMESSAGE_H
#define ENCRYPTEDMESSAGE_H

#include <QByteArray>
#include "encryptedfile.h"

class EncryptedMessage
{
public:

    enum EncryptedMessageType {
       typeEncryptedMessageService = 0x23734b06,
       typeEncryptedMessage = 0xed18c118
    };

    EncryptedMessage(EncryptedMessageType classType) :
        m_chatId(0),
        m_date(0),
        m_randomId(0),
        m_file(EncryptedFile::typeEncryptedFileEmpty),
        m_bytes(""),
        m_classType(classType) {}

    void setRandomId(qint64 randomId) {
        m_randomId = randomId;
    }
    qint64 randomId() const {
        return m_randomId;
    }
    void setChatId(qint32 chatId) {
        m_chatId = chatId;
    }
    qint32 chatId() const {
        return m_chatId;
    }
    void setDate(qint32 date) {
        m_date = date;
    }
    qint32 date() const {
        return m_date;
    }
    void setBytes(const QByteArray &bytes) {
        m_bytes = bytes;
    }
    QByteArray bytes() const {
        return m_bytes;
    }
    void setFile(EncryptedFile file) {
        m_file = file;
    }
    EncryptedFile file() const {
        return m_file;
    }
    void setClassType(EncryptedMessageType classType) {
        m_classType = classType;
    }
    EncryptedMessageType classType() const {
        return m_classType;
    }

private:
    qint32 m_chatId;
    qint32 m_date;
    qint64 m_randomId;
    EncryptedFile m_file;
    QByteArray m_bytes;
    EncryptedMessageType m_classType;
};
#endif // ENCRYPTEDMESSAGE_H
