/*
    This file is part of libqtelegram library.

    Telegram-client is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    Telegram-client is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this telegram-client.  If not, see <http://www.gnu.org/licenses/>.

    Copyright Roberto Mier & Tiago Herrmann & Vitaly Valtman 2014
*/
#ifndef IMPORTEDCONTACT_H
#define IMPORTEDCONTACT_H

#include <QtGlobal>

class ImportedContact
{
public:

    enum ImportedContactType {
       typeImportedContact = 0xd0028438
    };

    ImportedContact() :
        m_userId(0),
        m_clientId(0),
        m_classType(typeImportedContact) {}

    void setUserId(qint32 userId) {
        m_userId = userId;
    }
    qint32 userId() const {
        return m_userId;
    }
    void setClientId(qint64 clientId) {
        m_clientId = clientId;
    }
    qint64 clientId() const {
        return m_clientId;
    }
    void setClassType(ImportedContactType classType) {
        m_classType = classType;
    }
    ImportedContactType classType() const {
        return m_classType;
    }

private:
    qint32 m_userId;
    qint64 m_clientId;
    ImportedContactType m_classType;
};
#endif // IMPORTEDCONTACT_H
