#ifndef CLIENTSTATE_H
#define CLIENTSTATE_H

#include <QtGlobal>
#include <QObject>

class ClientState : public QObject
{
    Q_OBJECT
public:
    ClientState();

    qint32 seq() { return m_seq; }
    qint32 pts() { return m_pts; }
    qint32 date() { return m_date; }
    qint32 qts() { return m_qts; }
    qint32 unreadCount() { return m_unreadCount; }
    void setSeq(qint32 seq) {
        if (m_seq + 1 < seq) {
            Q_EMIT outOfSync();
        }
        m_seq = seq;
    }
    void setPts(qint32 pts) { m_pts = pts; }
    void setDate(qint32 date) { m_date = date; }
    void setQts(qint32 qts) { m_qts = qts; }
    void setUnreadCount(qint32 unreadCount) { m_unreadCount = unreadCount; }

Q_SIGNALS:
    void outOfSync();

private:
    qint32 m_seq;
    qint32 m_pts;
    qint32 m_date;
    qint32 m_qts;
    qint32 m_unreadCount;
};

#endif // CLIENTSTATE_H
