#include "config.h"
#include <QDir>

Config::Config() :
    m_configPath(QString("~/.telegram").replace("~",QDir::homePath())),
    m_publicKeyFile("tg.pug"),
    m_databasePath("") {
}

Config::~Config() {
}

Config *Config::instance() {
    static Config *instance = new Config;
    return instance;
}

QString Config::phoneNumber() {
    return m_phoneNumber;
}

QString Config::configPath() {
    return m_configPath;
}

QString Config::publicKeyFile() {
    return m_publicKeyFile;
}

void Config::setPhoneNumber(const QString &phoneNumber) {
    m_phoneNumber = phoneNumber;
}

void Config::setConfigPath(const QString &configPath) {
    m_configPath = QString(configPath).replace("~",QDir::homePath());
}

void Config::setPublicKeyFile(const QString &publicKeyFile) {
    m_publicKeyFile = publicKeyFile;
}

qint32 Config::ourId() {
    return m_ourId;
}

void Config::setOurId(qint32 ourId) {
    m_ourId = ourId;
}

void Config::setDatabasePath(const QString &databasePath) {
    m_databasePath = QString(databasePath).replace("~",QDir::homePath());
    QDir databaseDir = QDir(m_databasePath);
    if (!databaseDir.exists()) {
        if (QDir::root().mkpath(m_databasePath)) {
            qCDebug(TG_PLUGIN_LOGIC) << m_databasePath << "database directory created";
        } else {
            qCCritical(TG_PLUGIN_LOGIC) << "error creating database directory: " << m_databasePath;
            return;
        }
    }
}

QString Config::databasePath() {
    // create database path from configPath and phoneNumber if not provided one
    if ((m_databasePath.length() == 0) && (m_phoneNumber.length() > 0)) {
        setDatabasePath(m_configPath + "/" + m_phoneNumber + "/database");
    }
    return m_databasePath;
}
