#ifndef CONFIG_H
#define CONFIG_H

#include <QString>
#include <QLoggingCategory>

Q_DECLARE_LOGGING_CATEGORY(TG_PLUGIN_LOGIC)

class Config
{
public:
    static Config *instance();

    QString phoneNumber();
    QString configPath();
    QString publicKeyFile();
    qint32 ourId();
    QString databasePath();
    void setPhoneNumber(const QString &phoneNumber);
    void setConfigPath(const QString &configPath);
    void setPublicKeyFile(const QString &publicKeyFile);
    void setOurId(qint32 ourId);
    void setDatabasePath(const QString &databasePath);

private:
    Config(); // hide constructor
    ~Config();
    Config(const Config &); // hide copy constructor
    Config& operator=(const Config &); // hide asignment

    QString m_phoneNumber;
    QString m_configPath;
    QString m_publicKeyFile;
    qint32 m_ourId;
    QString m_databasePath;
};

#endif // CONFIG_H
