#ifndef DBMANAGER_H
#define DBMANAGER_H

#define DATABASE_NAME "telegram.sqlite"
#define SCHEMA_FILE "schema.sql"

#include <QObject>
#include <QtSql/QSqlDatabase>

class DbManager : public QObject
{
    Q_OBJECT
public:
    static DbManager *instance();

    bool initializeDatabase();
    QSqlDatabase database() const;

    bool beginTransaction();
    bool finishTransaction();
    bool rollbackTransaction();


protected:
    bool createOrUpdateDatabase();
    QStringList parseSchemaFile(const QString &fileName);

private:
    explicit DbManager(QObject *parent = 0);
    ~DbManager();

    QString m_databasePath;
    QSqlDatabase m_database;
};

#endif // DBMANAGER_H
