#ifndef CONTACTITEM_H
#define CONTACTITEM_H

#include "types/tluser.h"
#include <QLoggingCategory>

Q_DECLARE_LOGGING_CATEGORY(TG_PLUGIN_LOGIC)

class ContactItem : public TLUser {
    Q_OBJECT
    Q_PROPERTY(qint32 lastSeenOnline READ lastSeenOnline NOTIFY lastSeenOnlineChanged)
    Q_PROPERTY(bool online READ online NOTIFY onlineChanged)
    Q_PROPERTY(QString thumbnail READ thumbnail NOTIFY thumbnailChanged)
public:
    explicit ContactItem(QObject *parent = 0);

    qint32 lastSeenOnline() {
        return status()->wasOnline();
    }

    bool online() {
        return status()->classType() == UserStatus::typeUserStatusOnline;
    }

    QString thumbnail() { return m_thumbnail; }
    void setThumbnail(QString thumbnail) { m_thumbnail = thumbnail; }

    void dump();

Q_SIGNALS:
    void lastSeenOnlineChanged(qint32);
    void onlineChanged(bool);
    void thumbnailChanged(QString);

private:
    QString m_thumbnail;
};

#endif // CONTACTITEM_H
