#include "dialogsproxy.h"
#include "dialogsmodel.h"

DialogsProxy::DialogsProxy(QObject *parent) :
    QSortFilterProxyModel(parent) {
}

bool DialogsProxy::lessThan(const QModelIndex &left, const QModelIndex &right) const {
    QVariant leftData = sourceModel()->data(left, DialogsModel::TopMessageRole);
    QVariant rightData = sourceModel()->data(right, DialogsModel::TopMessageRole);
    MessageItem *leftMessage = qvariant_cast<MessageItem *>(leftData);
    MessageItem *rightMessage = qvariant_cast<MessageItem *>(rightData);
    Q_ASSERT(leftMessage);
    Q_ASSERT(rightMessage);
    return leftMessage->date() < rightMessage->date();
}

QVariant DialogsProxy::get(int row) {
    QModelIndex proxyIndex = index(row, 0);
    QModelIndex modelIndex = mapToSource(proxyIndex);
    return static_cast<DialogsModel *>(sourceModel())->get(modelIndex.row());
}
