#include "messageitem.h"
#include "modelsmanager.h"

MessageItem::MessageItem(QObject *parent) :
    TLMessage(parent) {
}

MessageItem::MessageItem(const MessageItem &other) :
    TLMessage(other.parent()) {
}

MessageItem::MessageItem(const Message &msg) {
    setId(msg.id());
    setFromId(msg.fromId());
    setToId(msg.toId());
    setOut(msg.out());
    setUnread(msg.unread());
    setDate(msg.date());
    setMessage(msg.message());
    setMedia(msg.media());
}

MessageItem::~MessageItem() {
}

QString MessageItem::fromFirstName() {
    ContactsModel &contactsModel = ModelsManager::instance()->contactsModel();
    ContactItem *user = contactsModel.contact(this->fromId());
    return user->firstName();
}
QString MessageItem::fromLastName() {
    ContactsModel &contactsModel = ModelsManager::instance()->contactsModel();
    ContactItem *user = contactsModel.contact(this->fromId());
    return user->lastName();
}
QString MessageItem::fromPhone() {
    ContactsModel &contactsModel = ModelsManager::instance()->contactsModel();
    ContactItem *user = contactsModel.contact(this->fromId());
    return user->phone();
}

QString MessageItem::fromThumbnail() {
    ContactsModel &contactsModel = ModelsManager::instance()->contactsModel();
    ContactItem *user = contactsModel.contact(this->fromId());
    return user->thumbnail();
}

qint32 MessageItem::toId() {
    if (TLMessage::toId()->classType() == TLPeer::typePeerChat) {
        return TLMessage::toId()->chatId();
    }
    return TLMessage::toId()->userId();
}

QString MessageItem::text() {
    return this->message();
}

TLMessageMedia::MessageMediaType MessageItem::mediaType() {
    return TLMessage::media()->classType();
}
