#ifndef MESSAGEITEM_H
#define MESSAGEITEM_H

#include "types/tlmessage.h"
#include "types/tlmessagemedia.h"
#include "types/tlpeer.h"
#include <types/user.h>

class MessageItem : public TLMessage {
    Q_OBJECT
    Q_PROPERTY(QString fromFirstName READ fromFirstName NOTIFY fromFirstNameChanged)
    Q_PROPERTY(QString fromLastName READ fromLastName NOTIFY fromLastNameChanged)
    Q_PROPERTY(QString fromPhone READ fromPhone NOTIFY fromPhoneChanged)
    Q_PROPERTY(QString fromThumbnail READ fromThumbnail)
    Q_PROPERTY(qint32 toId READ toId NOTIFY toIdChanged)
    Q_PROPERTY(QString text READ text NOTIFY textChanged)
    Q_PROPERTY(qint32 mediaType READ mediaType NOTIFY mediaTypeChanged)

public:

    explicit MessageItem(QObject *parent = 0);
    MessageItem(const MessageItem &other);
    MessageItem(const Message &other);
    ~MessageItem();

    QString fromFirstName();
    QString fromLastName();
    QString fromPhone();
    QString fromThumbnail();
    qint32 toId();
    QString text();
    TLMessageMedia::MessageMediaType mediaType();

Q_SIGNALS:
    void fromFirstNameChanged(QString);
    void fromLastNameChanged(QString);
    void fromPhoneChanged(QString);
    void toIdChanged(qint32);
    void textChanged(QString);
    void mediaTypeChanged(qint32);
};
Q_DECLARE_METATYPE(MessageItem)

#endif // MESSAGEITEM_H
