#ifndef MODELSMANAGER_H
#define MODELSMANAGER_H

#include <QObject>
#include "models/contactsmodel.h"
#include "models/messagesmodel.h"
#include "models/dialogsmodel.h"

class ModelsManager
{
public:
    static ModelsManager *instance();

    DialogsModel &dialogsModel();
    ContactsModel &contactsModel();
    MessagesModel &messagesModel(qint32 dialogId);

private:
    ModelsManager();
    ContactsModel m_contactsModel;
    MessagesModel m_messagesModel;
    DialogsModel m_dialogsModel;
};

#endif // MODELSMANAGER_H
