#include <QtQml>
#include <QtQml/QQmlContext>
#include "telegramplugin.h"
#include "telegramclient.h"
#include "types/tldialog.h"
#include "types/tluser.h"
#include "types/tlchat.h"
#include "types/tlmessage.h"
#include "models/messagesmodel.h"
#include "models/contactsmodel.h"
#include "models/dialogsmodel.h"
#include "models/dialogsproxy.h"


void TelegramPlugin::registerTypes(const char *uri)
{
    //@uri Ubuntu.Plugins.Telegram
    Q_ASSERT(uri == QLatin1String("Ubuntu.Plugins.Telegram"));

    // Telegram qml main type
    qmlRegisterType<TelegramClient>(uri, 0, 1, "TelegramClient");

    // Output qml data types
    qmlRegisterType<TLAudio>(uri, 0, 1, "TLAudio");
    qmlRegisterType<TLChat>(uri, 0, 1, "TLChat");
    qmlRegisterType<TLChatParticipant>(uri, 0, 1, "TLChatParticipant");
    qmlRegisterType<TLChatParticipants>(uri, 0, 1, "TLChatParticipants");
    qmlRegisterType<TLChatPhoto>(uri, 0, 1, "TLChatPhoto");
    qmlRegisterType<TLContact>(uri, 0, 1, "TLContact");
    qmlRegisterType<TLContactBlocked>(uri, 0, 1, "TLContactBlocked");
    qmlRegisterType<TLContactsForeignLink>(uri, 0, 1, "TLContactsForeignLink");
    qmlRegisterType<TLContactsLink>(uri, 0, 1, "TLContactsLink");
    qmlRegisterType<TLContactsMyLink>(uri, 0, 1, "TLContactsMyLink");
    qmlRegisterType<TLContactStatus>(uri, 0, 1, "TLContactStatus");
    qmlRegisterType<TLDcOption>(uri, 0, 1, "TLDcOption");
    qmlRegisterType<TLDialog>(uri, 0, 1, "TLDialog");
    qmlRegisterType<TLDocument>(uri, 0, 1, "TLDocument");
    qmlRegisterType<TLEncryptedChat>(uri, 0, 1, "TLEncryptedChat");
    qmlRegisterType<TLEncryptedFile>(uri, 0, 1, "TLEncryptedFile");
    qmlRegisterType<TLEncryptedMessage>(uri, 0, 1, "TLEncryptedMessage");
    qmlRegisterType<TLFileLocation>(uri, 0, 1, "TLFileLocation");
    qmlRegisterType<TLGeoChatMessage>(uri, 0, 1, "TLGeoChatMessage");
    qmlRegisterType<TLGeoPoint>(uri, 0, 1, "TLGeoPoint");
    qmlRegisterType<TLImportedContact>(uri, 0, 1, "TLImportedContact");
    qmlRegisterType<TLMessage>(uri, 0, 1, "TLMessage");
    qmlRegisterType<TLMessageAction>(uri, 0, 1, "TLMessageAction");
    qmlRegisterType<TLMessageMedia>(uri, 0, 1, "TLMessageMedia");
    qmlRegisterType<TLNotifyPeer>(uri, 0, 1, "TLNotifyPeer");
    qmlRegisterType<TLPeer>(uri, 0, 1, "TLPeer");
    qmlRegisterType<TLPeerNotifySettings>(uri, 0, 1, "TLPeerNotifySettings");
    qmlRegisterType<TLPhoto>(uri, 0, 1, "TLPhoto");
    qmlRegisterType<TLPhotoSize>(uri, 0, 1, "TLPhotoSize");
    qmlRegisterType<TLStorageFileType>(uri, 0, 1, "TLStorageFileType");
    qmlRegisterType<TLUpdate>(uri, 0, 1, "TLUpdate");
    qmlRegisterType<TLUser>(uri, 0, 1, "TLUser");
    qmlRegisterType<TLUserProfilePhoto>(uri, 0, 1, "TLUserProfilePhoto");
    qmlRegisterType<TLUserStatus>(uri, 0, 1, "TLUserStatus");
    qmlRegisterType<TLVideo>(uri, 0, 1, "TLVideo");

    // Input qml data types
    qmlRegisterType<TLInputFileLocation>(uri, 0, 1, "TLInputFileLocation");
    qmlRegisterType<TLInputGeoPoint>(uri, 0, 1, "TLInputGeoPoint");
    qmlRegisterType<TLInputPeer>(uri, 0, 1, "TLInputPeer");
    qmlRegisterType<TLInputUser>(uri, 0, 1, "TLInputUser");
    qmlRegisterType<TLMessagesFilter>(uri, 0, 1, "TLMessagesFilter");

    // Models
    qmlRegisterType<DialogsProxy>(uri, 0, 1, "DialogsProxy");
    qmlRegisterType<DialogsModel>(uri, 0, 1, "DialogsModel");
    qmlRegisterType<MessagesModel>(uri, 0, 1, "MessagesModel");
    qmlRegisterType<ContactsModel>(uri, 0, 1, "ContactsModel");
    qmlRegisterType<DialogItem>(uri, 0, 1, "DialogItem");
    qmlRegisterType<MessageItem>(uri, 0, 1, "MessageItem");
    qmlRegisterType<ContactItem>(uri, 0, 1, "ContactItem");
}

void TelegramPlugin::initializeEngine(QQmlEngine *engine, const char *uri)
{
    QQmlExtensionPlugin::initializeEngine(engine, uri);
}
