#ifndef TLCHATPARTICIPANT_H
#define TLCHATPARTICIPANT_H

#include "tlobject.h"
#include <types/chatparticipant.h>

class TLChatParticipant : public TLObject, public ChatParticipant {
    Q_OBJECT
    Q_INTERFACES(TLObject)
    Q_ENUMS(TLChatParticipantType)
    Q_PROPERTY(qint32 classType READ classType)
    Q_PROPERTY(qint32 date READ date)
    Q_PROPERTY(qint32 userId READ userId)
    Q_PROPERTY(qint32 inviterId READ inviterId)

public:
    enum TLChatParticipantType {
        TypeChatParticipant = ChatParticipant::typeChatParticipant
    };

    explicit TLChatParticipant(QObject *parent = 0) : 
        TLObject(parent) {
    }
    TLChatParticipant(const TLChatParticipant &other) :
        TLObject(other.parent()) {
        setData(&other);
    }
    ~TLChatParticipant() {}

    void setData(const void *data) {
        ChatParticipant *obj = (ChatParticipant *)data;
        setClassType(obj->classType());
        setDate(obj->date());
        setUserId(obj->userId());
        setInviterId(obj->inviterId());
    }
};
Q_DECLARE_METATYPE(TLChatParticipant)

#endif // TLCHATPARTICIPANT_H
