#ifndef TLCONTACT_H
#define TLCONTACT_H

#include "tlobject.h"
#include <types/contact.h>

class TLContact : public TLObject, public Contact {
    Q_OBJECT
    Q_INTERFACES(TLObject)
    Q_ENUMS(TLContactType)
    Q_PROPERTY(qint32 classType READ classType)
    Q_PROPERTY(bool mutual READ mutual)
    Q_PROPERTY(qint32 userId READ userId)

public:
    enum TLContactType {
        TypeContact = Contact::typeContact
    };

    explicit TLContact(QObject *parent = 0) : 
        TLObject(parent) {
    }
    TLContact(const TLContact &other) :
        TLObject(other.parent()) {
        setData(&other);
    }
    ~TLContact() {}

    void setData(const void *data) {
        Contact *obj = (Contact *)data;
        setClassType(obj->classType());
        setMutual(obj->mutual());
        setUserId(obj->userId());
    }
};
Q_DECLARE_METATYPE(TLContact)

#endif // TLCONTACT_H
