#ifndef TLCONTACTSMYLINK_H
#define TLCONTACTSMYLINK_H

#include "tlobject.h"
#include <types/contactsmylink.h>

class TLContactsMyLink : public TLObject, public ContactsMyLink {
    Q_OBJECT
    Q_INTERFACES(TLObject)
    Q_ENUMS(TLContactsMyLinkType)
    Q_PROPERTY(qint32 classType READ classType)
    Q_PROPERTY(bool contact READ contact)

public:
    enum TLContactsMyLinkType {
        TypeContactsMyLinkRequested = ContactsMyLink::typeContactsMyLinkRequested,
        TypeContactsMyLinkContact = ContactsMyLink::typeContactsMyLinkContact,
        TypeContactsMyLinkEmpty = ContactsMyLink::typeContactsMyLinkEmpty
    };

    explicit TLContactsMyLink(QObject *parent = 0) : 
        TLObject(parent), 
        ContactsMyLink(ContactsMyLink::typeContactsMyLinkEmpty) {
    }
    TLContactsMyLink(const TLContactsMyLink &other) :
        TLObject(other.parent()),
        ContactsMyLink(other.classType()) {
        setData(&other);
    }
    ~TLContactsMyLink() {}

    void setData(const void *data) {
        ContactsMyLink *obj = (ContactsMyLink *)data;
        setClassType(obj->classType());
        setContact(obj->contact());
    }
};
Q_DECLARE_METATYPE(TLContactsMyLink)

#endif // TLCONTACTSMYLINK_H
