#ifndef TLDCOPTION_H
#define TLDCOPTION_H

#include "tlobject.h"
#include <types/dcoption.h>

class TLDcOption : public TLObject, public DcOption {
    Q_OBJECT
    Q_INTERFACES(TLObject)
    Q_ENUMS(TLDcOptionType)
    Q_PROPERTY(qint32 classType READ classType)
    Q_PROPERTY(QString hostname READ hostname)
    Q_PROPERTY(QString ipAddress READ ipAddress)
    Q_PROPERTY(qint32 id READ id)
    Q_PROPERTY(qint32 port READ port)

public:
    enum TLDcOptionType {
        TypeDcOption = DcOption::typeDcOption
    };

    explicit TLDcOption(QObject *parent = 0) : 
        TLObject(parent) {
    }
    TLDcOption(const TLDcOption &other) :
        TLObject(other.parent()) {
        setData(&other);
    }
    ~TLDcOption() {}

    void setData(const void *data) {
        DcOption *obj = (DcOption *)data;
        setClassType(obj->classType());
        setHostname(obj->hostname());
        setIpAddress(obj->ipAddress());
        setId(obj->id());
        setPort(obj->port());
    }
};
Q_DECLARE_METATYPE(TLDcOption)

#endif // TLDCOPTION_H
