#ifndef TLFILELOCATION_H
#define TLFILELOCATION_H

#include <types/filelocation.h>
#include "tlobject.h"

class TLFileLocation : public TLObject, public FileLocation {
    Q_OBJECT
    Q_INTERFACES(TLObject)
    Q_ENUMS(TLFileLocationType)
    Q_PROPERTY(qint32 classType READ classType)
    Q_PROPERTY(qint64 secret READ secret)
    Q_PROPERTY(qint32 dcId READ dcId)
    Q_PROPERTY(qint64 volumeId READ volumeId)
    Q_PROPERTY(qint32 localId READ localId)

public:
    enum TLFileLocationType {
        TypeFileLocation = FileLocation::typeFileLocation,
        TypeFileLocationUnavailable = FileLocation::typeFileLocationUnavailable
    };

    explicit TLFileLocation(QObject *parent = 0) : 
        TLObject(parent), 
        FileLocation(FileLocation::typeFileLocationUnavailable) {
    }
    TLFileLocation(const TLFileLocation &other) :
        TLObject(other.parent()),
        FileLocation(other.classType()) {
        setData(&other);
    }
    ~TLFileLocation() {}

    void setData(const void *data) {
        FileLocation *obj = (FileLocation *)data;
        setClassType(obj->classType());
        setSecret(obj->secret());
        setDcId(obj->dcId());
        setVolumeId(obj->volumeId());
        setLocalId(obj->localId());
    }
};
Q_DECLARE_METATYPE(TLFileLocation)

#endif // TLFILELOCATION_H
