#ifndef TLGEOPOINT_H
#define TLGEOPOINT_H

#include "tlobject.h"
#include <types/geopoint.h>

class TLGeoPoint : public TLObject, public GeoPoint {
    Q_OBJECT
    Q_INTERFACES(TLObject)
    Q_ENUMS(TLGeoPointType)
    Q_PROPERTY(qint32 classType READ classType)
    Q_PROPERTY(qreal lat READ lat)
    Q_PROPERTY(qreal longitude READ longitude)

public:
    enum TLGeoPointType {
        TypeGeoPoint = GeoPoint::typeGeoPoint,
        TypeGeoPointEmpty = GeoPoint::typeGeoPointEmpty
    };

    explicit TLGeoPoint(QObject *parent = 0) : 
        TLObject(parent), 
        GeoPoint(GeoPoint::typeGeoPointEmpty) {
    }
    TLGeoPoint(const TLGeoPoint &other) :
        TLObject(other.parent()),
        GeoPoint(other.classType()) {
        setData(&other);
    }
    ~TLGeoPoint() {}

    void setData(const void *data) {
        GeoPoint *obj = (GeoPoint *)data;
        setClassType(obj->classType());
        setLat(obj->lat());
        setLongitude(obj->longitude());
    }
};
Q_DECLARE_METATYPE(TLGeoPoint)

#endif // TLGEOPOINT_H
