#ifndef TLIMPORTEDCONTACT_H
#define TLIMPORTEDCONTACT_H

#include "tlobject.h"
#include <types/importedcontact.h>

class TLImportedContact : public TLObject, public ImportedContact {
    Q_OBJECT
    Q_INTERFACES(TLObject)
    Q_ENUMS(TLImportedContactType)
    Q_PROPERTY(qint32 classType READ classType)
    Q_PROPERTY(qint32 userId READ userId)
    Q_PROPERTY(qint64 clientId READ clientId)

public:
    enum TLImportedContactType {
        TypeImportedContact = ImportedContact::typeImportedContact
    };

    explicit TLImportedContact(QObject *parent = 0) : 
        TLObject(parent) {
    }
    TLImportedContact(const TLImportedContact &other) :
        TLObject(other.parent()) {
        setData(&other);
    }
    ~TLImportedContact() {}

    void setData(const void *data) {
        ImportedContact *obj = (ImportedContact *)data;
        setClassType(obj->classType());
        setUserId(obj->userId());
        setClientId(obj->clientId());
    }
};
Q_DECLARE_METATYPE(TLImportedContact)

#endif // TLIMPORTEDCONTACT_H
