#ifndef TLINPUTGEOPOINT_H
#define TLINPUTGEOPOINT_H

#include "tlobject.h"
#include <types/inputgeopoint.h>

class TLInputGeoPoint : public TLObject, public InputGeoPoint {
    Q_OBJECT
    Q_INTERFACES(TLObject)
    Q_ENUMS(TLInputGeoPointType)
    Q_PROPERTY(qint32 classType READ classType WRITE setClassType)
    Q_PROPERTY(qreal lat READ lat WRITE setLat)
    Q_PROPERTY(qreal longitude READ longitude WRITE setLongitude)

public:
    enum TLInputGeoPointType {
        TypeInputGeoPointEmpty = InputGeoPoint::typeInputGeoPointEmpty,
        TypeInputGeoPoint = InputGeoPoint::typeInputGeoPoint
    };

    explicit TLInputGeoPoint(QObject *parent = 0) : 
        TLObject(parent),
        InputGeoPoint(InputGeoPoint::typeInputGeoPointEmpty) {
    }
    TLInputGeoPoint(const TLInputGeoPoint &other) :
        TLObject(other.parent()),
        InputGeoPoint(other.classType()) {
        setData(&other);
    }
    ~TLInputGeoPoint() {}

    void setClassType(qint32 classType) {
        InputGeoPoint::setClassType((InputGeoPointType)classType);
    }

    void setData(const void *data) {
        InputGeoPoint *obj = (InputGeoPoint *)data;
        setClassType(obj->classType());
        setLat(obj->lat());
        setLongitude(obj->longitude());
    }
};
Q_DECLARE_METATYPE(TLInputGeoPoint)

#endif // TLINPUTGEOPOINT_H
