#ifndef TLINPUTPEER_H
#define TLINPUTPEER_H

#include "tlobject.h"
#include <types/inputpeer.h>

class TLInputPeer : public TLObject, public InputPeer {
    Q_OBJECT
    Q_INTERFACES(TLObject)
    Q_ENUMS(TLInputPeerType)
    Q_PROPERTY(qint32 classType READ classType WRITE setClassType)
    Q_PROPERTY(qint64 accessHash READ accessHash WRITE setAccessHash)
    Q_PROPERTY(qint32 userId READ userId WRITE setUserId)
    Q_PROPERTY(qint32 chatId READ chatId WRITE setChatId)

public:
    enum TLInputPeerType {
        TypeInputPeerForeign = InputPeer::typeInputPeerForeign,
        TypeInputPeerSelf = InputPeer::typeInputPeerSelf,
        TypeInputPeerContact = InputPeer::typeInputPeerContact,
        TypeInputPeerEmpty = InputPeer::typeInputPeerEmpty,
        TypeInputPeerChat = InputPeer::typeInputPeerChat
    };

    explicit TLInputPeer(QObject *parent = 0) :
        TLObject(parent),
        InputPeer(InputPeer::typeInputPeerEmpty) {
    }
    TLInputPeer(const TLInputPeer &other) :
        TLObject(other.parent()),
        InputPeer(other.classType()) {
        setData(&other);
    }
    ~TLInputPeer() {}

    void setClassType(qint32 classType) {
        InputPeer::setClassType((InputPeerType)classType);
    }

    void setData(const void *data) {
        InputPeer *obj = (InputPeer *)data;
        setClassType(obj->classType());
        setAccessHash(obj->accessHash());
        setUserId(obj->userId());
        setChatId(obj->chatId());
    }
};
Q_DECLARE_METATYPE(TLInputPeer)

#endif // TLINPUTPEER_H
