#ifndef TLINPUTUSER_H
#define TLINPUTUSER_H

#include "tlobject.h"
#include <types/inputuser.h>

class TLInputUser : public TLObject, public InputUser {
    Q_OBJECT
    Q_INTERFACES(TLObject)
    Q_ENUMS(TLInputUserType)
    Q_PROPERTY(qint32 classType READ classType WRITE setClassType)
    Q_PROPERTY(qint64 accessHash READ accessHash WRITE setAccessHash)
    Q_PROPERTY(qint32 userId READ userId WRITE setUserId)

public:
    enum TLInputUserType {
        TypeInputUserEmpty = InputUser::typeInputUserEmpty,
        TypeInputUserContact = InputUser::typeInputUserContact,
        TypeInputUserSelf = InputUser::typeInputUserSelf,
        TypeInputUserForeign = InputUser::typeInputUserForeign
    };

    explicit TLInputUser(QObject *parent = 0) : 
        TLObject(parent), 
        InputUser(InputUser::typeInputUserEmpty) {
    }
    TLInputUser(const TLInputUser &other) :
        TLObject(other.parent()),
        InputUser(other.classType()) {
        setData(&other);
    }
    ~TLInputUser() {}

    void setClassType(qint32 classType) {
        InputUser::setClassType((InputUserType)classType);
    }
    void setData(const void *data) {
        InputUser *obj = (InputUser *)data;
        setClassType(obj->classType());
        setAccessHash(obj->accessHash());
        setUserId(obj->userId());
    }
};
Q_DECLARE_METATYPE(TLInputUser)

#endif // TLINPUTUSER_H
