#ifndef TLMESSAGESFILTER_H
#define TLMESSAGESFILTER_H

#include "tlobject.h"
#include <types/messagesfilter.h>

class TLMessagesFilter : public TLObject, public MessagesFilter {
    Q_OBJECT
    Q_INTERFACES(TLObject)
    Q_ENUMS(TLMessagesFilterType)
    Q_PROPERTY(qint32 classType READ classType WRITE setClassType)

public:
    enum TLMessagesFilterType {
        TypeInputMessagesFilterPhotos = MessagesFilter::typeInputMessagesFilterPhotos,
        TypeInputMessagesFilterPhotoVideo = MessagesFilter::typeInputMessagesFilterPhotoVideo,
        TypeInputMessagesFilterVideo = MessagesFilter::typeInputMessagesFilterVideo,
        TypeInputMessagesFilterEmpty = MessagesFilter::typeInputMessagesFilterEmpty,
        TypeInputMessagesFilterAudio = MessagesFilter::typeInputMessagesFilterAudio,
        TypeInputMessagesFilterDocument = MessagesFilter::typeInputMessagesFilterDocument
    };

    explicit TLMessagesFilter(QObject *parent = 0) : 
        TLObject(parent), 
        MessagesFilter(MessagesFilter::typeInputMessagesFilterEmpty) {
    }
    TLMessagesFilter(const TLMessagesFilter &other) :
        TLObject(other.parent()),
        MessagesFilter(other.classType()) {
        setData(&other);
    }
    ~TLMessagesFilter() {}

    void setClassType(qint32 classType) {
        MessagesFilter::setClassType((MessagesFilterType)classType);
    }

    void setData(const void *data) {
        MessagesFilter *obj = (MessagesFilter *)data;
        setClassType(obj->classType());
    }
};
Q_DECLARE_METATYPE(TLMessagesFilter)

#endif // TLMESSAGESFILTER_H
