#ifndef TLNOTIFYPEER_H
#define TLNOTIFYPEER_H

#include "tlobject.h"
#include "tlpeer.h"
#include <types/notifypeer.h>

class TLNotifyPeer : public TLObject, public NotifyPeer {
    Q_OBJECT
    Q_INTERFACES(TLObject)
    Q_ENUMS(TLNotifyPeerType)
    Q_PROPERTY(qint32 classType READ classType)
    Q_PROPERTY(TLPeer *peer READ peer)

public:
    enum TLNotifyPeerType {
        TypeNotifyAll = NotifyPeer::typeNotifyAll,
        TypeNotifyPeer = NotifyPeer::typeNotifyPeer,
        TypeNotifyUsers = NotifyPeer::typeNotifyUsers,
        TypeNotifyChats = NotifyPeer::typeNotifyChats
    };

    explicit TLNotifyPeer(QObject *parent = 0) : 
        TLObject(parent), 
        NotifyPeer(NotifyPeer::typeNotifyAll) {
    }
    TLNotifyPeer(const TLNotifyPeer &other) :
        TLObject(other.parent()),
        NotifyPeer(other.classType()) {
        setData(&other);
    }
    ~TLNotifyPeer() {}

    void setData(const void *data) {
        NotifyPeer *obj = (NotifyPeer *)data;
        setClassType(obj->classType());
        setPeer(obj->peer());
    }

    void setPeer(const Peer &peer) { m_peer.setData(&peer); }
    TLPeer *peer() { return &m_peer; }

private:
    TLPeer m_peer;
};
Q_DECLARE_METATYPE(TLNotifyPeer)

#endif // TLNOTIFYPEER_H
