#ifndef TLPEER_H
#define TLPEER_H

#include <types/peer.h>
#include "tlobject.h"

class TLPeer : public TLObject, public Peer {
    Q_OBJECT
    Q_INTERFACES(TLObject)
    Q_ENUMS(TLPeerType)
    Q_PROPERTY(qint32 classType READ classType)
    Q_PROPERTY(qint32 userId READ userId)
    Q_PROPERTY(qint32 chatId READ chatId)

public:
    enum TLPeerType {
       TypePeerUser = Peer::typePeerUser,
       TypePeerChat = Peer::typePeerChat
    };

    explicit TLPeer(QObject *parent = 0) : 
        TLObject(parent), 
        Peer(Peer::typePeerUser) {
    }
    TLPeer(const TLPeer &other) :
        TLObject(other.parent()),
        Peer(other.classType()) {
        setData(&other);
    }
    ~TLPeer() {}

    void setData(const void *data) {
        Peer *obj = (Peer *)data;
        setClassType(obj->classType());
        setUserId(obj->userId());
        setChatId(obj->chatId());
    }
};
Q_DECLARE_METATYPE(TLPeer)
#endif // TLPEER_H
