#ifndef TLPEERNOTIFYSETTINGS_H
#define TLPEERNOTIFYSETTINGS_H

#include "tlobject.h"
#include <types/peernotifysettings.h>

class TLPeerNotifySettings : public TLObject, public PeerNotifySettings {
    Q_OBJECT
    Q_INTERFACES(TLObject)
    Q_ENUMS(TLPeerNotifySettingsType)
    Q_PROPERTY(qint32 classType READ classType)
    Q_PROPERTY(qint32 muteUntil READ muteUntil)
    Q_PROPERTY(QString sound READ sound)
    Q_PROPERTY(bool showPreviews READ showPreviews)
    Q_PROPERTY(qint32 eventsMask READ eventsMask)

public:
    enum TLPeerNotifySettingsType {
        TypePeerNotifySettings = PeerNotifySettings::typePeerNotifySettings,
        TypePeerNotifySettingsEmpty = PeerNotifySettings::typePeerNotifySettingsEmpty
    };

    explicit TLPeerNotifySettings(QObject *parent = 0) : 
        TLObject(parent), 
        PeerNotifySettings(PeerNotifySettings::typePeerNotifySettingsEmpty) {
    }
    TLPeerNotifySettings(const TLPeerNotifySettings &other) :
        TLObject(other.parent()),
        PeerNotifySettings(other.classType()) {
        setData(&other);
    }
    ~TLPeerNotifySettings() {}

    void setData(const void *data) {
        PeerNotifySettings *obj = (PeerNotifySettings *)data;
        setClassType(obj->classType());
        setMuteUntil(obj->muteUntil());
        setSound(obj->sound());
        setShowPreviews(obj->showPreviews());
        setEventsMask(obj->eventsMask());
    }
};
Q_DECLARE_METATYPE(TLPeerNotifySettings)

#endif // TLPEERNOTIFYSETTINGS_H
