#ifndef TLUPDATESSTATE_H
#define TLUPDATESSTATE_H

#include "tlobject.h"
#include <types/updatesstate.h>

class TLUpdatesState : public TLObject, public UpdatesState {
    Q_OBJECT
    Q_INTERFACES(TLObject)
    Q_ENUMS(TLUpdatesStateType)
    Q_PROPERTY(qint32 classType READ classType)
    Q_PROPERTY(qint32 date READ date)
    Q_PROPERTY(qint32 unreadCount READ unreadCount)
    Q_PROPERTY(qint32 pts READ pts)
    Q_PROPERTY(qint32 qts READ qts)
    Q_PROPERTY(qint32 seq READ seq)

public:
    enum TLUpdatesStateType {
        TypeUpdatesState = UpdatesState::typeUpdatesState
    };

    explicit TLUpdatesState(QObject *parent = 0) : 
        TLObject(parent) {
    }
    TLUpdatesState(const TLUpdatesState &other) :
        TLObject(other.parent()) {
        setData(&other);
    }
    ~TLUpdatesState() {}

    void setData(const void *data) {
        UpdatesState *obj = (UpdatesState *)data;
        setClassType(obj->classType());
        setDate(obj->date());
        setUnreadCount(obj->unreadCount());
        setPts(obj->pts());
        setQts(obj->qts());
        setSeq(obj->seq());
    }
};
Q_DECLARE_METATYPE(TLUpdatesState)

#endif // TLUPDATESSTATE_H
