#ifndef TLUSERSTATUS_H
#define TLUSERSTATUS_H

#include "tlobject.h"
#include <types/userstatus.h>

class TLUserStatus : public TLObject, public UserStatus {
    Q_OBJECT
    Q_INTERFACES(TLObject)
    Q_ENUMS(TLUserStatusType)
    Q_PROPERTY(qint32 classType READ classType)
    Q_PROPERTY(qint32 expires READ expires)
    Q_PROPERTY(qint32 wasOnline READ wasOnline)

public:
    enum TLUserStatusType {
        TypeUserStatusOffline = UserStatus::typeUserStatusOffline,
        TypeUserStatusEmpty = UserStatus::typeUserStatusEmpty,
        TypeUserStatusOnline = UserStatus::typeUserStatusOnline
    };

    explicit TLUserStatus(QObject *parent = 0) : 
        TLObject(parent), 
        UserStatus(UserStatus::typeUserStatusEmpty) {
    }
    TLUserStatus(const TLUserStatus &other) :
        TLObject(other.parent()),
        UserStatus(other.classType()) {
        setData(&other);
    }
    ~TLUserStatus() {}

    void setData(const void *data) {
        UserStatus *obj = (UserStatus *)data;
        setClassType(obj->classType());
        setExpires(obj->expires());
        setWasOnline(obj->wasOnline());
    }
};
Q_DECLARE_METATYPE(TLUserStatus)

#endif // TLUSERSTATUS_H
