import QtQuick 2.0
import Ubuntu.Components 0.1
import "../components"

Page {

    property alias errorLabel: errorLabel
    property alias userTextField: userTextField
    property alias signInButton: signInButton

    title: i18n.tr('SignIn')


    Rectangle {

        anchors{
            margins: units.gu(2)
            top: parent.top
            left: parent.left
            right: parent.right
        }


        TgLabel {
            id: infoLabel
            anchors.top: parent.top
            height: userTextField.height + signInButton.height
            text: i18n.tr("Please enter your full phone \nnumber with country code")
        }

        TgLabel {
            id: errorLabel
            anchors {
                top: infoLabel.bottom
                topMargin: units.gu(1)
            }
            height: signInButton.height
            visible: false
            color: "red"
        }


        TgTextField {
            id: userTextField
            anchors {
                top: infoLabel.bottom
                topMargin: units.gu(1)
            }
            height: signInButton.height
            placeholderText: i18n.tr("with '+' sign")
            validator: RegExpValidator{ regExp: /\+[0-9]*/ }
        }


        TgButton {
            id: signInButton
            anchors {
                top: userTextField.bottom
                topMargin: units.gu(1)
            }
        }

    }
}
