import QtQuick 2.0
import Ubuntu.Components 0.1
import "../components"

Page {

    property alias errorlabel: errorLabel
    property alias firstNameTextField: firstNameTextField
    property alias lastNameTextField: lastNameTextField
    property alias signUpButton: signUpButton

    title: i18n.tr('SingUp')

    Rectangle {

        anchors{
            margins: units.gu(2)
            top: parent.top
            left: parent.left
            right: parent.right
        }


        TgLabel {
            id: infoLabel
            anchors.top: parent.top
            height: firstNameTextField.height + lastNameTextField.height
            text: i18n.tr("You are not registered yet.\nPlease provide registration data")
        }

        TgLabel {
            id: errorLabel
            anchors {
                top: infoLabel.bottom
                topMargin: units.gu(1)
            }
            height: signUpButton.height
            visible: false
            color: "red"
        }


        TgTextField {
            id: firstNameTextField
            anchors {
                top: errorLabel.bottom
                topMargin: units.gu(1)
            }
            height: signUpButton.height
            placeholderText: i18n.tr("first name")
            validator: RegExpValidator{ regExp: /[\w\s]+/ }
        }


        TgTextField {
            id: lastNameTextField
            anchors {
                top: firstNameTextField.bottom
                topMargin: units.gu(1)
            }
            height: signUpButton.height
            placeholderText: i18n.tr("last name")
            validator: RegExpValidator{ regExp: /[\w\s]+/ }
        }


        TgButton {
            id: signUpButton
            anchors {
                top: lastNameTextField.bottom
                topMargin: units.gu(1)
            }
        }
    }
}
