import QtQuick 2.0

VerificationCodePageDesign {

    property alias countdownTimer: countdownTimer;

    verifyButton.onClicked: {
        if (codeTextField.text.length > 0) {
            codeTextField.enabled = false;
            verifyButton.enabled = false;
            // check if exists firstName and lastName values in signUpPage
            if ((signUpPage.firstNameTextField.text.length > 0) && (signUpPage.lastNameTextField.text.length > 0)) {
                telegramClient.authSignUp(codeTextField.text, signUpPage.firstNameTextField.text, signUpPage.lastNameTextField.text);
            } else {
                telegramClient.authSignIn(codeTextField.text);
            }
        }
    }

    Timer {
        id: countdownTimer
        property int seconds: 59
        interval: 1000
        repeat: true
        running: false
        onTriggered: {
            countdownLabel.text = 'Telegram will call you in ' + seconds + ' secs\n\n\n';
            seconds--;
            if (seconds < 0) {
                stop();
                telegramClient.authSendCall();
            }
        }
    }
}
