import QtQuick 2.0
import Ubuntu.Components 0.1
import "../components"

Page {

    property alias codeTextField: codeTextField
    property alias verifyButton: verifyButton
    property alias errorLabel: errorLabel
    property alias countdownLabel: countdownLabel

    title: i18n.tr('SignIn')

    Rectangle {

        anchors{
            margins: units.gu(2)
            top: parent.top
            left: parent.left
            right: parent.right
        }

        TgLabel {
            id: infoLabel
            anchors.top: parent.top
            height: verifyButton.height + verifyButton.height
            text: i18n.tr("We have sent you a code via SMS.\nPlease enter it below\n")
        }

        TgLabel {
            id: countdownLabel
            anchors {
                top: infoLabel.bottom
                topMargin: units.gu(1)
            }
            height: verifyButton.height
        }

        TgLabel {
            id: errorLabel
            anchors {
                top: countdownLabel.bottom
                topMargin: units.gu(1)
            }
            height: verifyButton.height
            visible: false
            color: "red"
        }

        TgTextField {
            id: codeTextField
            anchors {
                top: errorLabel.bottom
                topMargin: units.gu(1)
            }
            height: verifyButton.height
            placeholderText: i18n.tr("Enter your code")
            validator: RegExpValidator{ regExp: /[\w]+/ }
        }

        TgButton {
            id: verifyButton
            anchors {
                top: codeTextField.bottom
                topMargin: units.gu(1)
            }
            text: i18n.tr('Sign in');
        }
    }
}
